CREATE TABLE hra_tmpl_role_actions (
    TMPL_ROLE_ACTION_ID               NUMBER(18, 0) ,
    BUSINESS_GROUP_ID                 NUMBER(18, 0) ,
    ITEM_RATINGS_REQUIRED_CODE        VARCHAR2(120) ,
    ITEM_COMMENTS_REQUIRED_CODE       VARCHAR2(120) ,
    SECTION_RATINGS_REQUIRED_CODE     VARCHAR2(120) ,
    SECTION_COMMENTS_REQUIRED_CODE    VARCHAR2(120) ,
    TMPL_ROLE_ID                      NUMBER(18, 0)     NOT NULL,
    SECTION_ID                        NUMBER(18, 0)     NOT NULL,
    SHARE_RATINGS_FLAG                VARCHAR2(120) ,
    SHARE_COMMENTS_FLAG               VARCHAR2(120) ,
    UPDATE_PROFILE_FLAG               VARCHAR2(120) ,
    PERSON_PROFILE_TYPE_ID            NUMBER(18, 0) ,
    QUALIFIER_SET_ID                  NUMBER(18, 0) ,
    QUALIFIER_ID                      NUMBER(18, 0) ,
    VIEW_PCPN_QSTNR_FLAG              VARCHAR2(120) ,
    VIEW_PCPN_NAME_FLAG               VARCHAR2(120) ,
    VIEW_PCPN_ROLE_FLAG               VARCHAR2(120) ,
    PCPN_ENTER_WRK_CMTS_FLAG          VARCHAR2(120) ,
    VIEW_MGR_QSTNR_FLAG               VARCHAR2(120) ,
    VIEW_WRK_QSTNR_FLAG               VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    MODULE_ID                         VARCHAR2(128) ,
    CHILD_ITEM_COMMENTS_REQ_CODE      VARCHAR2(120) ,
    PROVIDE_ITEM_RATINGS_FLAG         VARCHAR2(120) ,
    PROVIDE_ITEM_COMMENTS_FLAG        VARCHAR2(120) ,
    PROVIDE_SECTION_RATINGS_FLAG      VARCHAR2(120) ,
    PROVIDE_SECTION_COMMENTS_FLAG     VARCHAR2(120) ,
    ALLOW_NOT_RATED_ITEM_FLAG         VARCHAR2(120) ,
    VIEW_WKR_QSTNR_SCORES_FLAG        VARCHAR2(120) ,
    VIEW_MGR_QSTNR_SCORES_FLAG        VARCHAR2(120) ,
    VIEW_PCPN_QSTNR_SCORES_FLAG       VARCHAR2(120) ,
    VIEW_OWN_QSTNR_SCORES_FLAG        VARCHAR2(120) ,
    SHOW_ITEM_COMMENTS_AI_FLAG        VARCHAR2(120) ,
    SHOW_SECTION_COMMENTS_AI_FLAG     VARCHAR2(120) ,
    TMPL_ROLE_ACTION_ID               NUMBER(18, 0) ,
    BUSINESS_GROUP_ID                 NUMBER(18, 0) ,
    TMPL_ROLE_ID                      NUMBER(18, 0)     NOT NULL,
    SECTION_ID                        NUMBER(18, 0)     NOT NULL,
    SHARE_RATINGS_FLAG                VARCHAR2(120) ,
    SHARE_COMMENTS_FLAG               VARCHAR2(120) ,
    UPDATE_PROFILE_FLAG               VARCHAR2(120) ,
    PERSON_PROFILE_TYPE_ID            NUMBER(18, 0) ,
    QUALIFIER_SET_ID                  NUMBER(18, 0) ,
    QUALIFIER_ID                      NUMBER(18, 0) ,
    VIEW_PCPN_QSTNR_FLAG              VARCHAR2(120) ,
    VIEW_PCPN_NAME_FLAG               VARCHAR2(120) ,
    VIEW_PCPN_ROLE_FLAG               VARCHAR2(120) ,
    PCPN_ENTER_WRK_CMTS_FLAG          VARCHAR2(120) ,
    VIEW_MGR_QSTNR_FLAG               VARCHAR2(120) ,
    VIEW_WRK_QSTNR_FLAG               VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    MODULE_ID                         VARCHAR2(128) ,
    ITEM_RATINGS_REQUIRED_CODE        VARCHAR2(120) ,
    ITEM_COMMENTS_REQUIRED_CODE       VARCHAR2(120) ,
    SECTION_RATINGS_REQUIRED_CODE     VARCHAR2(120) ,
    SECTION_COMMENTS_REQUIRED_CODE    VARCHAR2(120) ,
    CHILD_ITEM_COMMENTS_REQ_CODE      VARCHAR2(120) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    PROVIDE_ITEM_RATINGS_FLAG         VARCHAR2(120) ,
    PROVIDE_ITEM_COMMENTS_FLAG        VARCHAR2(120) ,
    PROVIDE_SECTION_RATINGS_FLAG      VARCHAR2(120) ,
    PROVIDE_SECTION_COMMENTS_FLAG     VARCHAR2(120) ,
    ALLOW_NOT_RATED_ITEM_FLAG         VARCHAR2(120) ,
    VIEW_WKR_QSTNR_SCORES_FLAG        VARCHAR2(120) ,
    VIEW_MGR_QSTNR_SCORES_FLAG        VARCHAR2(120) ,
    VIEW_PCPN_QSTNR_SCORES_FLAG       VARCHAR2(120) ,
    VIEW_OWN_QSTNR_SCORES_FLAG        VARCHAR2(120) ,
    SHOW_ITEM_COMMENTS_AI_FLAG        VARCHAR2(120) ,
    SHOW_SECTION_COMMENTS_AI_FLAG     VARCHAR2(120) ,
    CONSTRAINT pk_hra_tmpl_role_actions PRIMARY KEY (TMPL_ROLE_ACTION_ID, BUSINESS_GROUP_ID, TMPL_ROLE_ACTION_ID, BUSINESS_GROUP_ID)
);
